From: Jari Aalto <jari.aalto@cante.net>
To: git@vger.kernel.org
Subject: [PATCH] git-rebase.sh: Unchain the git-COMMAND into git COMMAND
Date: Mon, 04 Feb 2008 22:25:16 +0200 [thread overview]
Message-ID: <3as81nbn.fsf@blue.sea.net> (raw)
Change the commadns to use new style 'git COMMAND', without the dash.
Use better syntax in output displayed to user that suggests to use
--continue|--abort commands.
Signed-off-by: Jari Aalto <jari.aalto AT cante.net>
---
git-rebase.sh | 16 ++++++++--------
1 files changed, 8 insertions(+), 8 deletions(-)
diff --git a/git-rebase.sh b/git-rebase.sh
index bdcea0e..37ba8a8 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -21,7 +21,7 @@ Note that if <branch> is not specified on the command line, the
currently checked out branch is used. You must be in the top
directory of your project to start (or continue) a rebase.
-Example: git-rebase master~1 topic
+Example: git rebase master~1 topic
A---B---C topic A'\''--B'\''--C'\'' topic
/ --> /
@@ -63,7 +63,7 @@ continue_merge () {
cmt=`cat "$dotest/current"`
if ! git diff-index --quiet HEAD --
then
- if ! git-commit -C "$cmt"
+ if ! git commit -C "$cmt"
then
echo "Commit failed, please do not call \"git commit\""
echo "directly, but instead do one of the following: "
@@ -94,7 +94,7 @@ call_merge () {
eval GITHEAD_$cmt='"${cmt_name##refs/heads/}~$(($end - $msgnum))"'
eval GITHEAD_$hd='$(cat "$dotest/onto_name")'
export GITHEAD_$cmt GITHEAD_$hd
- git-merge-$strategy "$cmt^" -- "$hd" "$cmt"
+ git merge-$strategy "$cmt^" -- "$hd" "$cmt"
rv=$?
case "$rv" in
0)
@@ -111,7 +111,7 @@ call_merge () {
;;
*)
die "Unknown exit code ($rv) from command:" \
- "git-merge-$strategy $cmt^ -- HEAD $cmt"
+ "git merge-$strategy $cmt^ -- HEAD $cmt"
;;
esac
}
@@ -279,7 +279,7 @@ else
if test -d "$dotest"
then
die "previous dotest directory $dotest still exists." \
- 'try git-rebase < --continue | --abort >'
+ 'try git rebase {--continue|--abort}'
fi
fi
@@ -315,7 +315,7 @@ fi
case "$#" in
2)
branch_name="$2"
- git-checkout "$2" || usage
+ git checkout "$2" || usage
;;
*)
if branch_name=`git symbolic-ref -q HEAD`
@@ -363,7 +363,7 @@ esac
# Rewind the head to "$onto"; this saves our current head in ORIG_HEAD.
echo "First, rewinding head to replay your work on top of it..."
-git-reset --hard "$onto"
+git reset --hard "$onto"
# If the $onto is a proper descendant of the tip of the branch, then
# we just fast forwarded.
@@ -387,7 +387,7 @@ then
exit $ret
fi
-# start doing a rebase with git-merge
+# start doing a rebase with "git merge"
# this is rename-aware if the recursive (default) strategy is used
mkdir -p "$dotest"
--
1.5.4-rc5.GIT-dirty
--
Welcome to FOSS revolution: we fix and modify until it shines
next reply other threads:[~2008-02-04 20:27 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2008-02-04 20:25 Jari Aalto [this message]
2008-02-04 20:53 ` [PATCH] git-rebase.sh: Unchain the git-COMMAND into git COMMAND Johannes Schindelin
2008-02-05 14:01 ` Jari Aalto
2008-02-05 14:10 ` Johannes Schindelin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=3as81nbn.fsf@blue.sea.net \
--to=jari.aalto@cante.net \
--cc=git@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.